Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.ant
Class IndexTask.AnalyzerType

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.lucene.ant.IndexTask.AnalyzerType

Enclosing class:
  IndexTask

    public static class IndexTask.AnalyzerType

extends org.apache.tools.ant.types.EnumeratedAttribute

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`IndexTask.AnalyzerType()`

Method Summary
`String` | `getClassname()`
`String[]` | `getValues()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexTask.AnalyzerType

    public IndexTask.AnalyzerType()

Method Detail

### getValues

    public String[] getValues()

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`
  See Also:
    `EnumeratedAttribute.getValues()`

### getClassname

    public String getClassname()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.